# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (c) 2018-TODAY Eynes (http://www.eynes.com.ar)
#    All Rights Reserved.
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General
#    Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

import psycopg2

__name__ = u"Migrate component data from stock_production_lot to " + \
    "service_component"


def migrate_components(cr):
    "Migrate Component Data"
    try:
        q = """
        INSERT INTO service_component (product_id, partner_id, prodlot_id,
        system_id, in_workshop, id_equipo)
        SELECT spl.product_id,
        spl.partner_id, spl.id AS prodlot_id, spl.system_id, spl.in_workshop,
        spl.id_equipo
        FROM stock_production_lot spl
        WHERE spl.active IS True AND spl.partner_id IS NOT NULL
        """
        cr.execute(q)
    except psycopg2.ProgrammingError:
        cr.rollback()

    return True


def migrate(cr, version):
    return migrate_components(cr)
