# -*- encoding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (c) 2016 E-MIPS (http://www.e-mips.com.ar)
#    Copyright (c) 2016 Eynes (http://www.eynes.com.ar)
#    All Rights Reserved. See AUTHORS for details.
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General
#    Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
###############################################################################
from openerp.osv import fields, orm, osv
from openerp.tools.translate import _
import netsvc

class cancel_order(osv.osv_memory):
	_name = "cancel.order"

	_columns = {
		"communication": fields.text(string="Communicaton"),
	}

	def cancel_order(self, cr, uid, ids, context=None):
		wf_service = netsvc.LocalService("workflow")
		finish_type_obj = self.pool['service.finish.type']
		hr_employee_obj = self.pool['hr.employee']
		service_order_obj = self.pool['service.order']
		
		cancel_info = self.copy_data(cr, uid, ids[0], context=context)
		employee_id = hr_employee_obj.search(cr, uid, [('user_id', '=', uid)], context=context)
		finish_type_id = finish_type_obj.search(cr, uid, [('name', '=', 'Cancelado')], context=context)
		cancel_info.update({
				"finish_id": finish_type_id[0],
				"finished_by_id": employee_id[0],
			})
		wf_service.trg_validate(uid, 'service.order', context["active_id"], 'cancel', cr)
		service_order_obj.write(cr, uid, [context["active_id"]], cancel_info, context=context)
		return True