# -*- encoding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (c) 2014 E-MIPS/Eynes
#    All Rights Reserved. See AUTHORS for details.
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################


from openerp.osv import fields, osv
from openerp.tools.translate import _

class action_mark_done(osv.osv_memory):
    """
        Mark Action Done
    """
    _name = "action.mark.done"
    _description = "Action Mark Done"
    _columns = {
        'sure': fields.boolean('Check this box'),
    }

    def mark_done(self, cr, uid, ids, context=None):
        """
        """
        action_obj = self.pool.get('service.action')

        for form in self.read(cr, uid, ids, context=context):
            if form['sure']:
                for action_id in context['active_ids']:
                    reads = action_obj.read(cr, uid, [action_id], ['order_id'], context=context)[0]
                    self.pool.get('service.order').mark_action_done(cr, uid, reads['order_id'][0], action_id, context=context)

        return {'type': 'ir.actions.act_window_close'}

action_mark_done()

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
